Bug 1084890 - CLI client should show a version of remote server including applied patch
Summary: CLI client should show a version of remote server including applied patch
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: CLI
Version: JON 3.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: DR03
: JON 3.2.2
Assignee: Simeon Pinder
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-07 07:07 UTC by Filip Brychta
Modified: 2014-07-29 00:17 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-07-29 00:17:13 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1081564 None None None Never

Internal Trackers: 1081564

Description Filip Brychta 2014-04-07 07:07:05 UTC
Description of problem:
About box in UI shows a server version including applied patch (see bz 1081564):
Version :	
3.2.0.GA update-1
Build Number :	
13f0eea:c372b58

but a CLI client doesn't.

Version-Release number of selected component (if applicable):
Version :	
3.2.0.GA update-1
Build Number :	
13f0eea:c372b58

How reproducible:
Always

Steps to Reproduce:
1. install JON 3.2.0.GA update-1
2. download and unzip a CLI client
3. run the CLI client 
./rhq-cli.sh -s <yourJONserverIP> -p rhqadmin -u rhqadmin

Actual results:
RHQ Enterprise Remote CLI 4.9.0.JON320GA
Remote server version is: 3.2.0.GA (13f0eea:c372b58)
Login successful

Expected results:
RHQ Enterprise Remote CLI 4.9.0.JON320GA update-1
Remote server version is: 3.2.0.GA update-1 (13f0eea:c372b58)
Login successful

Additional info:
Comment from spinder:

There are two different versions being discussed here:
1)Product/Release version: 3.2.0.GA -> 3.2.0.GA update-1
2)RHQ dependency version: 4.9.0.JON320GA

1)Is highly customer visible and should be changed, but 2) is actually a dependency of the product which can and is legitimately updated with version changes over time. I think it's fine to leave the CLI and agent version strings without 'update-1'.

Comment 1 Simeon Pinder 2014-06-13 14:39:05 UTC
Moving to DR03 as didn't get included for earlier payload.

Comment 4 Simeon Pinder 2014-06-30 06:03:05 UTC
Moving to ON_QA as available for test in latest build:
http://jon01.mw.lab.eng.bos.redhat.com:8042/dist/release/jon/3.2.2.GA/6-28-2014/

Comment 5 Filip Brychta 2014-06-30 07:43:52 UTC
Verified 
./rhq-cli.sh -s 10.16.23.96 -u rhqadmin -p rhqadmin
RHQ Enterprise Remote CLI 4.9.0.JON320GA Update 02
Remote server version is: 3.2.0.GA Update 02 (558495c:44428f7)
Login successful

Comment 6 Larry O'Leary 2014-07-29 00:17:13 UTC
This has been verified and released in Red Hat JBoss Operations Network 3.2 Update 02 (3.2.2) available from the Red Hat Customer Portal[1].



[1]: https://access.redhat.com/jbossnetwork/restricted/softwareDetail.html?softwareId=31783


Note You need to log in before you can comment on or make changes to this bug.